/*------------------------------------------------------------------
 * Theme Name: Hostify Responsive Template
 * Theme URI: http://www.brandio.io/envato/spacehost
 * Author: Brandio
 * Author URI: http://www.brandio.io/
 * Description: A Bootstrap Responsive HTML5 Template
 * Version: 1.0
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * Bootstrap v3.3.7 (http://getbootstrap.com)
 * Copyright 2017 Brandio.
 -------------------------------------------------------------------*/

"use strict";

$( ".comparePlan ul li" ).on( "click", function() {
 var pos = $(this).index()+2;
 $(".comparePlan tr").find('td:not(:eq(0))').hide();
 $('.comparePlan td:nth-child('+pos+')').css('display','table-cell');
 $(".comparePlan tr").find('th:not(:eq(0))').hide();
 $('.comparePlan li').removeClass('active');
 $(this).addClass('active');
});

// Initialize the media query
 var mediaQuery = window.matchMedia('(min-width: 640px)');
 
 // Add a listen event
 mediaQuery.addListener(doSomething);
 
 // Function to do something with the media query
 function doSomething(mediaQuery) {    
   if (mediaQuery.matches) {
     $('.sep').attr('colspan',4);
   } else {
     $('.sep').attr('colspan',2);
   }
 }
 
 // On load
 doSomething(mediaQuery);
 //Product Select Option URL
 $('.pricing-link .ybtn').on('click', function () {
	var currentSlector = $(this);
	var productURL = currentSlector.parent().prev().find('select :selected').val();
    currentSlector.attr('href', productURL);
    currentSlector.click();
});

//trustPilot//

var displayedReview = 0;    
setTimeout(function(){
$.getJSON( "reviews.json", function( json ) {
 let reviews = json.reviews;
 let reviewStar = 'https://media.cyberin.in/file/cyberin/images/Trustpilot_ratings_5star-RGB.png';
 $('.trustpilot-widget .wrapper-left .title').text(json.value);        
 $('.trustpilot-widget .review-count').attr('href', 'https://trustpilot.com/review/'+json.brandurl);
 $('.trustpilot-widget .wrapper-left .rating img').attr('src', reviewStar);
 $('.trustpilot-widget .review-count').text(json.reviewCount+' reviews');
     for(let i=0; i<= reviews.length; i++){
         if(displayedReview < 4){
             var currentReview = reviews[i].desc;
              if (currentReview.length > 80) {
                currentReview = currentReview.substring(0,80) + '...';
              }                 
             $('.firstblock > .row').append('<div class="col-md-3 col-sm-6"><div class="row"><div class="col-md-12"><div class="pull-left rating"><img src="'+reviewStar+'" class="img-responsive"></div><div class="pull-right date">'+reviews[i].date+'</div></div><div class="col-md-12"><div class="title">'+reviews[i].title+'</div><div class="descriptions">'+currentReview+'</div><div class="name">'+reviews[i].name+'</div></div></div></div>');
         } else if(displayedReview > 4 && displayedReview < 9){
             var currentReview = reviews[i].desc;
              if (currentReview.length > 80) {
                currentReview = currentReview.substring(0,80) + '...';
              }                      
             $('.secondblock > .row').append('<div class="col-md-3 col-sm-6"><div class="row"><div class="col-md-12"><div class="pull-left rating"><img src="'+reviewStar+'" class="img-responsive"></div><div class="pull-right date">'+reviews[i].date+'</div></div><div class="col-md-12"><div class="title">'+reviews[i].title+'</div><div class="descriptions">'+currentReview+'</div><div class="name">'+reviews[i].name+'</div></div></div></div>');
         } else if(displayedReview > 8 && displayedReview < 13){
             var currentReview = reviews[i].desc;
              if (currentReview.length > 80) {
                currentReview = currentReview.substring(0,80) + '...';
              }                      
             $('.thirdblock > .row').append('<div class="col-md-3 col-sm-6"><div class="row"><div class="col-md-12"><div class="pull-left rating"><img src="'+reviewStar+'" class="img-responsive"></div><div class="pull-right date">'+reviews[i].date+'</div></div><div class="col-md-12"><div class="title">'+reviews[i].title+'</div><div class="descriptions">'+currentReview+'</div><div class="name">'+reviews[i].name+'</div></div></div></div>');                 
         } else if (displayedReview > 12 && displayedReview < 17){
             var currentReview = reviews[i].desc;
              if (currentReview.length > 80) {
                currentReview = currentReview.substring(0,80) + '...';
              }                      
             $('.fourthblock > .row').append('<div class="col-md-3 col-sm-6"><div class="row"><div class="col-md-12"><div class="pull-left rating"><img src="'+reviewStar+'" class="img-responsive"></div><div class="pull-right date">'+reviews[i].date+'</div></div><div class="col-md-12"><div class="title">'+reviews[i].title+'</div><div class="descriptions">'+currentReview+'</div><div class="name">'+reviews[i].name+'</div></div></div></div>');                   
         }
     displayedReview = displayedReview+1;       
     }
 });
 $('.loader').remove();
 $('.trustpilot-widget').removeClass('hidden').addClass('wow fadeIn animated animated');
},2000);

// pricing tab

if ($('.tab-swipe').length > 0) {
    $('.tab-swipe').append('<li class="indicator"></li>');
    if ($('.tab-swipe li a').hasClass('active')) {
        var cLeft = $('.tab-swipe li a.active').position().left + 'px',
            cWidth = $('.tab-swipe li a.active').css('width');
        $('.indicator').css({
            left: cLeft,
            width: cWidth
        })
    }
    $('.tab-swipe li a').click(function() {
        $('.tab-swipe li a').removeClass('isActive');
        $(this).addClass('isActive');
        var cLeft = $('.tab-swipe li a.isActive').position().left + 'px',
            cWidth = $('.tab-swipe li a.isActive').css('width');
        $('.indicator').css({
            left: cLeft,
            width: cWidth
        })
    })
}

// promo apply

function applyPromo(duration, code){
  $("#monthly .pricing-footer a, #monthlyTwo .pricing-footer a, .jsMonthly .pricing-footer a,  .comparePlan a").each(function() {
     var $this = $(this);   
     var href = $this.attr("href");
     if(href.indexOf('cart') != -1) {
        $this.attr("href", href+'&billingcycle='+duration+'&promocode='+code+'');
        if($this.width() > 160){
            $this.html('try 30day for <i class="fa fa-inr" aria-hidden="true"></i> 29');
        } else {
            $this.text('Try Now');
        }
     }
  });
}
if ( $(window).width() < 739) {      
    $('.comparePlan li.active button').click();
} 